Tasks
All operations require authentication.
List tasks related to a managed domain name resourceBeta
Path parameters
Domain name
Query parameters
Filter the tasks by status
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTFilter the tasks by type (operation name, for example DomainTrade, DomainContactUpdate)
ContactControlContactControlAcknowledgeContactControlCorrectContactControlNotifyDomainAfterMarketDomainContactControlDomainContactUpdateDomainCreateDomainDeleteDomainDnsUpdateDomainDsUpdateDomainEmailRedirectionsCreateDomainEmailRedirectionsDeleteDomainHoldDomainHostCreateDomainHostDeleteDomainHostUpdateDomainIncomingTransferDomainOutgoingTransferDomainProtectDomainRegistryDeleteDomainRenewDomainResourceDeleteDomainRestoreDomainTradeDomainUnholdDomainUnprotectHeaders
Pagination cursor
Pagination size
Response
Operation-specific details, present for certain task types like DomainIncomingTransfer
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses domainName = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a specific task related to a managed domain name resourceBeta
Path parameters
Domain name
Task ID
Response
Operation-specific details, present for certain task types like DomainIncomingTransfer
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Update a domain name task with additional detailsBeta
Provide additional details on a task to unblock its processing.
Acknowledge DNSSEC risk
When an incoming transfer is blocked due to a DNSSEC risk, set dnssecRiskAcknowledged to true to accept the risk and proceed with the transfer. When omitted or set to false, no action is taken.
Path parameters
Domain name
Task ID
Request body (required)
DNSSEC-related transfer analysis details
Set to true to accept the DNSSEC risk and proceed with the transfer
Estimated date when the task will complete
Response
Operation-specific details, present for certain task types like DomainIncomingTransfer
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List all domain tasksProduction
Path parameters
Service name
Query parameters
Filter the value of function property (like)
Filter the value of status property (=)
cancelleddoingdoneerrorproblemtodoFilter the value of type property (=)
alldomdomainResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get details about a domain taskProduction
Path parameters
Id
Service name
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
type of the task
alldomdomainExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Accelerate the taskProduction
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ task/ {id}/ accelerate \
-H "authorization: Bearer $OVH_TOKEN"Cancel the taskProduction
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ task/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Relaunch the taskProduction
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ task/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"